/*
 * Copyright 2003 - 2013 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 8848 $
 * Last Changed:    $Date: 2013-02-19 10:49:59 -0500 (Tue, 19 Feb 2013) $
 * Last Changed By: $Author: jan@moxter.net $
 */

/**
 * The CI Classes (Configuration Items) are used for accessing types and
 * their attributes from eFaps. The base class for all types is
 * <code>CIType</code>. This classes are created automatically for the
 * modules by an maven target using the eFaps maven plugin. Due to the
 * hen - egg problem the classes in the kernel are created manually and not
 * by the plugin. The class do not contain any comments and checkstyle
 * is deactivated for them.
 */
package org.efaps.ci;

